v7.3.0

Bryntum Grid events in Vue

The Bryntum Grid events are passed up to the Vue wrapper which makes it possible to listen to them the standard Vue way.

Listening to events

The following code demonstrates listening to the cellEdit event:

Html:

<template>
    <div>
        <bryntum-grid
            ref="grid"
            @celledit="onCellEdit"
        />
    </div>
</template>

<script>

import { BryntumGrid } from "@bryntum/grid-vue";

export default {

    name: "Grid App",

    components: { BryntumGrid },

    methods : {
        onCellEdit() {
            // Do something
        }
   }
}
</script>

Please note that we prefix the capitalized event name with the on keyword and that we pass $event as the argument to the listener.

Preventable events

By returning false from a listener for an event documented as preventable the action that would otherwise be executed after the event is prevented. These events names are usually prefixed with before.

For example:

<template>
    <div>
        <bryntum-grid
            ref="grid"
            @beforecelleditstart="onBeforeCellEditStart"
        />
    </div>
</template>

<script>

import { BryntumGrid } from "@bryntum/grid-vue";

export default {

    name: "Grid App",

    components: { BryntumGrid },

    methods : {
        onBeforeCellEditStart() {
            if (someCondition) {
                return false;
            }
        }
   }
}
</script>

Contents

v7.3.0

BryntumGrid events in React

Listening to events

The conventional React way is used to listen to Bryntum Grid events. For example, if we want to listen to cellEdit event we pass the listener function to onCellEdit property. The property name must be in camel case and is case sensitive.

const cellEditHandler = useCallback(({ selection }) => {
    console.log(selection); // actual logic comes here
});

// ...

return (
    <BryntumGrid
        onCellEdit={cellEditHandler}
        // other properties
    />
)

Preventable events

By returning false from a listener for an event documented as preventable the action that would otherwise be executed after the event is prevented. These events names are usually prefixed with before.

For example:

const App = props => {
    function onBeforeCellEditStart() {
        if (someCondition) {
            return false;
        }
    }

    return (
        <>
            <BryntumGrid
                onBeforeCellEditStart={onBeforeCellEditStart}
            />
        </>
    )
}

Using dataChange event to synchronize data

Bryntum Grid keeps all data in its stores which are automatically synchronized with the UI and the user actions. Nevertheless, it is sometimes necessary for the rest of the application to be informed about data changes. For that it is easiest to use dataChange event.

const App = props => {
    const syncData = ({ store, action, records }) => {
        console.log(`${store.id} changed. The action was: ${action}. Changed records: `, records);
        // Your sync data logic comes here
    }

    return (
        <BryntumGrid
            ref={gridRef}
            {...gridConfig}
            onDataChange={syncData}
        />
    )
}

You can find details of all events that are fired by BryntumGrid in the API documentation.

Contents